aboutsummaryrefslogtreecommitdiff
path: root/databases/mysql41-server/files
diff options
context:
space:
mode:
authorAlex Dupre <ale@FreeBSD.org>2004-03-12 10:36:57 +0000
committerAlex Dupre <ale@FreeBSD.org>2004-03-12 10:36:57 +0000
commit6591025a58c2580877eef1cd7213c9890da604a5 (patch)
treeefefe43528507d46620d5e4d5026a765d6a902fc /databases/mysql41-server/files
parente2ea230fddd5812a2b416ba00d0e8b06b00b1563 (diff)
downloadports-6591025a58c2580877eef1cd7213c9890da604a5.tar.gz
ports-6591025a58c2580877eef1cd7213c9890da604a5.zip
Fix a never-catched bug in mysql_install_db script.
Now the SKIP_DNS_CHECK knob is pointless.
Notes
Notes: svn path=/head/; revision=103766
Diffstat (limited to 'databases/mysql41-server/files')
-rw-r--r--databases/mysql41-server/files/patch-scripts::mysql_install_db.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/databases/mysql41-server/files/patch-scripts::mysql_install_db.sh b/databases/mysql41-server/files/patch-scripts::mysql_install_db.sh
new file mode 100644
index 000000000000..1ccb78b2925a
--- /dev/null
+++ b/databases/mysql41-server/files/patch-scripts::mysql_install_db.sh
@@ -0,0 +1,22 @@
+--- scripts/mysql_install_db.sh.orig Thu Mar 11 10:20:57 2004
++++ scripts/mysql_install_db.sh Thu Mar 11 10:27:09 2004
+@@ -118,7 +118,7 @@
+ if [ $? -ne 0 ]
+ then
+ resolved=`$bindir/resolveip localhost 2>&1`
+- if [ $? -eq 0 ]
++ if [ $? -ne 0 ]
+ then
+ echo "Neither host '$hostname' and 'localhost' could not be looked up with"
+ echo "$bindir/resolveip"
+@@ -128,8 +128,8 @@
+ exit 1
+ fi
+ echo "WARNING: The host '$hostname' could not be looked up with resolveip."
+- echo "This probably means that your libc libraries are not 100 % compatible"
+- echo "with this binary MySQL version. The MySQL daemon, mysqld, should work"
++ echo "This probably means that your host name is not listed in your"
++ echo "/etc/hosts file (as it should). The MySQL daemon, mysqld, should work"
+ echo "normally with the exception that host name resolving will not work."
+ echo "This means that you should use IP addresses instead of hostnames"
+ echo "when specifying MySQL privileges !"